curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/proteinsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/proteins"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/proteins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"is_complex": true,
"sequence_variant": "<string>",
"protein_complex": "<string>",
"biosample_term": "<string>",
"biological_context": "<string>",
"regulatory_type": "<string>",
"class": "<string>",
"label": "<string>",
"method": "<string>",
"files_filesets": "<string>",
"source": "<string>",
"source_url": "<string>",
"score": 123,
"neg_log10_pvalue_adj_ref": 123,
"neg_log10_pvalue_adj_alt": 123,
"motif": "<string>",
"motif_log2FC": 123,
"beta": 123,
"se": 123,
"gene": "<string>",
"gene_consequence": "<string>",
"neg_log10_pvalue": 123,
"p_value": 123,
"neg_log10_pvalue_adj": 123,
"variant_effect_score": 123,
"SEMpl_annotation": "<string>",
"SEMpl_baseline": 123,
"alt_score": 123,
"ref_score": 123,
"relative_binding_affinity": 123,
"effect_on_binding": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Variants Proteins
Retrieve allele-specific transcription factor binding events from ADASTRA in cell type-specific context,
allele-specific transcription factor binding events from GVATdb, pQTL from UKB by querying variants, and predicted allele specific binding from SEMpl.
Set verbose = true to retrieve full info on the variant-transcription factor pairs, and ontology terms of the cell types.
At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, region, method, or files_fileset.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
ADASTRA:
query by variant identifier
- variant_id = NC_000005.10:59317579:G:T
- method = ADASTRA
query by region
- region = chr5:150575301-150575304
- method = ADASTRA
GVATdb:
query by variant identifier
- variant_id = NC_000010.11:112626979:C:T
- method = GVATdb
query by region
- region = chr10:112626978-112626982
- method = GVATdb
SEMVAR:
query by variant identifier
- spdi = NC_000001.11:100091094:A:C
- method = SEMVAR
query by region
- region = chr1:100091093-100091097
- method = SEMVAR
pQTL:
query by variant identifier
- spdi = NC_000002.12:27508072:T:C
- method = pQTL
query by region
- region = chr2:27508070-27508074
- method = pQTL
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/proteinsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/proteins"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/proteins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"is_complex": true,
"sequence_variant": "<string>",
"protein_complex": "<string>",
"biosample_term": "<string>",
"biological_context": "<string>",
"regulatory_type": "<string>",
"class": "<string>",
"label": "<string>",
"method": "<string>",
"files_filesets": "<string>",
"source": "<string>",
"source_url": "<string>",
"score": 123,
"neg_log10_pvalue_adj_ref": 123,
"neg_log10_pvalue_adj_alt": 123,
"motif": "<string>",
"motif_log2FC": 123,
"beta": 123,
"se": 123,
"gene": "<string>",
"gene_consequence": "<string>",
"neg_log10_pvalue": 123,
"p_value": 123,
"neg_log10_pvalue_adj": 123,
"variant_effect_score": 123,
"SEMpl_annotation": "<string>",
"SEMpl_baseline": 123,
"alt_score": 123,
"ref_score": 123,
"relative_binding_affinity": 123,
"effect_on_binding": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
allele-specific binding, pQTL, predicted allele-specific binding ADASTRA, GVATdb, IGVF, UKB ADASTRA, GVATdb, SEMVAR, pQTL associated with levels of, modulates binding of Homo sapiens true, false Response
Successful response